/******/ (() => { // webpackBootstrap
const WAVEBOX_EXTENSION_ID = 'ckimpoegidoklmlkmkccfmbdmfigmgfm';
const BA_DISABLE = 'BA_DISABLE';
const BA_SETTINGS = 'BA_SETTINGS';
let lastUnread;
function updateBadge(unread) {
  if (!lastUnread || lastUnread.unreadCount !== unread.unreadCount || lastUnread.hasActivity !== unread.hasActivity) {
    lastUnread = unread;
    chrome.action.setBadgeText({
      text: unread.unreadCount ? `${unread.unreadCount}` : unread.hasActivity ? ' ' : ''
    });
    chrome.action.setTitle({
      title: unread.unreadCount ? `${unread.unreadCount} unread message${unread.unreadCount === 1 ? '' : 's'}` : unread.hasActivity ? 'New activity' : chrome.runtime.getManifest().name
    });
  }
}
function messageWavebox(type, res) {
  chrome.runtime.sendMessage(WAVEBOX_EXTENSION_ID, {
    type
  }, res);
}
function suppressError() {
  chrome.runtime.lastError; // eslint-disable-line no-unused-expressions
}

// Browser actions
chrome.action.onClicked.addListener(() => {
  messageWavebox('browser-action-clicked');
});
chrome.contextMenus.create({
  id: BA_SETTINGS,
  title: 'Wavebox Connect Settings',
  contexts: ['action']
}, suppressError);
chrome.contextMenus.create({
  id: BA_DISABLE,
  title: 'Disable Wavebox Connect',
  contexts: ['action']
}, suppressError);
chrome.contextMenus.onClicked.addListener((info, tab) => {
  switch (info.menuItemId) {
    case BA_SETTINGS:
      messageWavebox('open-settings');
      break;
    case BA_DISABLE:
      messageWavebox('disable-chat');
      break;
  }
});
chrome.action.setBadgeBackgroundColor({
  color: '#e31312'
});

// State listener
chrome.runtime.onMessageExternal.addListener((evt, sender) => {
  if (sender.id !== WAVEBOX_EXTENSION_ID) {
    return;
  }
  switch (evt.type) {
    case 'state-updated':
      updateBadge(evt.data);
      break;
  }
});
{
  let tries = 0;
  const init = () => {
    if (tries > 10) {
      clearInterval(initRetry);
    } else {
      tries++;
      messageWavebox('fetch-state', res => {
        if (Array.isArray(res) && res[1]) {
          clearInterval(initRetry);
          updateBadge(res[1]);
        }
      });
    }
  };
  const initRetry = setInterval(init, 1000);
  init();
}
/******/ })()
;